Real-time Analytics

Check presence status for users

Returns online status for specified user IDs

AuthBearer (JWT)
GroupReal-time Analytics
Rate limitSee Rate Limits
POST/api/realtime/projects/{projectId}/presence

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, RealTimeAnalyticsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const realtimeanalytics = new RealTimeAnalyticsApi(configuration);
import { Configuration, RealTimeAnalyticsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const realtimeanalytics = new RealTimeAnalyticsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await realtimeanalytics.checkUserPresence(
  "usr_hpWgQ6NGS4rUbS",
  {
    userIds: "port connect"
  }
);
const { data: result } = await realtimeanalytics.checkUserPresence(
  "usr_hpWgQ6NGS4rUbS",
  {
    userIds: "port connect"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYes

Request Body

json
{
  "userIds": [
    "685acbe0e129932fbb7a0fc2",
    "685acbe0e129932fbb7a0fc3"
  ]
}
{
  "userIds": [
    "685acbe0e129932fbb7a0fc2",
    "685acbe0e129932fbb7a0fc3"
  ]
}

Responses

200Presence status for each user
json
{
  "presence": {},
  "timestamp": "2024-01-15T10:00:00.000Z"
}
{
  "presence": {},
  "timestamp": "2024-01-15T10:00:00.000Z"
}
400
401
404

Errors

CodeMeaning
400
401
404
Edit this page on GitHub